import { ComponentFixture, TestBed } from '@angular/core/testing';

import { HeatStackEditFormComponent } from './heat-stack-edit-form.component';
import { RouterTestingModule } from '@angular/router/testing';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { ReactiveFormsModule } from '@angular/forms';
import { MatInputModule } from '@angular/material/input';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatSnackBarModule } from '@angular/material/snack-bar';
import { NoopAnimationsModule } from '@angular/platform-browser/animations';
import { MatDialogModule } from '@angular/material/dialog';
import { MatSelectModule } from '@angular/material/select';
import { UiModule } from '@shared/ui/ui.module';
import { CommonComponentsModule } from '@shared/common-components/common-components.module';

describe('HeatStackEditFormComponent', () => {
  let component: HeatStackEditFormComponent;
  let fixture: ComponentFixture<HeatStackEditFormComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [HeatStackEditFormComponent],
      imports: [
        RouterTestingModule, HttpClientTestingModule, ReactiveFormsModule, MatInputModule, MatCheckboxModule,
        MatSnackBarModule, NoopAnimationsModule, MatDialogModule, MatSelectModule, UiModule, CommonComponentsModule,
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(HeatStackEditFormComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
